"use strict";

export class class_Stage
{
	#index;
	name;

	finalScore;
	finalHiScore;
	finalRemaining; // Aantal overgebleven tiles.

	sessionScore;
	sessionHiScore;
	sessionRemaining;

	tileArray;

	constructor(index, name)
	{
		this.#index = index;
		this.name  = name;

		this.finalScore     = 0;
		this.finalHiScore   = 0;
		this.finalRemaining = 0;

		this.sessionScore     = 0;
		this.sessionHiScore   = 0;
		this.sessionRemaining = 0;
	}

	getIndex()
	{
		return this.#index;
	}

	addToScore(points)
	{
		this.sessionScore += points;
		if (this.sessionScore > this.sessionHiScore)
		{
			this.sessionHiScore = this.sessionScore;
		}
	}

	resetScore()
	{
		this.sessionScore = 0;
	}

}
