"use strict";

import * as GlobalData from "../Global/GlobalData.js";

export class class_RepetitionChecker
{
	#inputPrevious = GlobalData.enumUserInput.NONE;

	isRepeating(input)
	{
		if (input !== GlobalData.enumUserInput.NONE && input === this.#inputPrevious)
		{
			return true;
		}
		else
		{
			this.#inputPrevious = input;
			return false;
		}
	}

	isNotRepeating(input)
	{
		return !this.isRepeating(input);
	}

}