"use strict";

import * as GeneralController from "../Global/GeneralController.js";
import { class_Delay }        from "./Class_Delay.js";

let delay = new class_Delay(50);

export function startGameLoop()
{
	window.requestAnimationFrame(gameLoop);
}

function gameLoop()
{
	if (delay.hasExpired())
	{
		GeneralController.handleGameTick();
	}
	window.requestAnimationFrame(gameLoop); // Recursive call to self.
}
