"use strict";

export const IMAGE_EXPLOSIONS = 0;

const imageFileNames = [
	"../../resources/images/image_strip_explosions_01.png"
];

export const images = [];

// Loads the images one at a time, then calls the
// callback-function 'myCallback' when all images
// have been loaded.
export function loadImages(index, myCallback)
{
	if (index < imageFileNames.length)
	{
		let img = new Image();
		img.src = imageFileNames[index];

		images[index] = img;
		images[index].onload = function()
		{
			loadImages(++index, myCallback); // Recursive call to self.
		};
	}
	else
	{
		myCallback();
	}
}
