"use strict";

import * as StageContainer from "../Stages/StageContainer.js";
import * as GlobalData     from "../Global/GlobalData.js";
import * as View           from "./View.js";

export function render()
{
	View.context.font = "20px Verdana";
	View.context.fillStyle = "white";

	const stage = StageContainer.getCurrentStage();

	let X = 20;
	let Y = 40;
	View.context.fillText("score", X, Y);
	Y += 25;
	View.context.fillText(String(stage.sessionScore).padStart(GlobalData.MAX_SCORE_LENGTH, '0'), X, Y);

	X = GlobalData.CANVAS_WIDTH - 110;
	Y = 40;
	View.context.fillText("hi-score", X, Y);
	Y += 25;
	View.context.fillText(String(stage.sessionHiScore).padStart(GlobalData.MAX_SCORE_LENGTH, '0'), X, Y);
}
